Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer.portlet
Class WSRPPortlet

    java.lang.Object
      org.jboss.portal.wsrp.consumer.portlet.WSRPPortlet

All Implemented Interfaces:
  Portlet

    public class WSRPPortlet

extends java.lang.Object
implements Portlet

Simple implementation of org.jboss.portal.portlet.Portlet interface

Version:
  $Revision: 8784 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`WSRPPortlet()`
`WSRPPortlet(PortletContext context, PortletInfo info)`

Method Summary
`static WSRPPortlet` | `createClone(PortletContext newContext, WSRPPortletInfo originalInfo)`
`PortletContext` | `getContext()` Portlet interface implemented methods
`PortletInfo` | `getInfo()` Return the portlet info.
`WSRPPortletInfo` | `getWSRPInfo()`
`boolean` | `isRemote()` Determines whether the described portlet is remote or not.
`void` | `setInfo(PortletInfo info)`
`void` | `setPortletContext(PortletContext context)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSRPPortlet

    public WSRPPortlet()

### WSRPPortlet

    public WSRPPortlet(PortletContext context,
                       PortletInfo info)

Method Detail

### createClone

    public static WSRPPortlet createClone(PortletContext newContext,
                                          WSRPPortletInfo originalInfo)

### getContext

    public PortletContext getContext()

  Portlet interface implemented methods

  Specified by:
    `getContext` in interface `Portlet`
  Returns:
    the portlet context

### getInfo

    public PortletInfo getInfo()

  Description copied from interface: `Portlet`
  Return the portlet info.

  Specified by:
    `getInfo` in interface `Portlet`
  Returns:
    the portlet info

### isRemote

    public boolean isRemote()

  Description copied from interface: `Portlet`
  Determines whether the described portlet is remote or not.

  Specified by:
    `isRemote` in interface `Portlet`
  Returns:
    `true` if the described portlet runs in a remote context (such as WSRP), `false` otherwise

### setInfo

    public void setInfo(PortletInfo info)

### getWSRPInfo

    public WSRPPortletInfo getWSRPInfo()

### setPortletContext

    public void setPortletContext(PortletContext context)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD